Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zgesvx

scipy.linalg.lapack.zgesvx(a, b[, fact, trans, af, ipiv, equed, r, c, overwrite_a, overwrite_b]) = <fortran function zgesvx>

  Wrapper for `zgesvx`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (n,n)
    b input rank-2 array(‘D’) with bounds (n,nrhs)
  Returns:
    as rank-2 array(‘D’) with bounds (n,n) and a storage
    lu rank-2 array(‘D’) with bounds (n,n) and af storage
    ipiv rank-1 array(‘i’) with bounds (n)
    equed bytes
    rs rank-1 array(‘d’) with bounds (n) and r storage
    cs rank-1 array(‘d’) with bounds (n) and c storage
    bs rank-2 array(‘D’) with bounds (n,nrhs) and b storage
    x rank-2 array(‘D’) with bounds (n,nrhs)
    rcond float
    ferr rank-1 array(‘d’) with bounds (nrhs)
    berr rank-1 array(‘d’) with bounds (nrhs)
    info int
  Other Parameters:
    fact input bytes, optional

      Default: ‘E’

    trans input bytes, optional

      Default: ‘N’

    overwrite_a input int, optional

      Default: 0

    af input rank-2 array(‘D’) with bounds (n,n)
    ipiv input rank-1 array(‘i’) with bounds (n)
    equed input bytes, optional

      Default: ‘B’

    r input rank-1 array(‘d’) with bounds (n)
    c input rank-1 array(‘d’) with bounds (n)
    overwrite_b input int, optional

      Default: 0